Bug 216037 - ia64 kdump vmcores require crash utility upgrade
ia64 kdump vmcores require crash utility upgrade
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: crash (Show other bugs)
5.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Anderson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-16 15:59 EST by Dave Anderson
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: 4.0-3.14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-08 13:30:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Anderson 2006-11-16 15:59:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030611

Description of problem:

The on-going development of kdump capability on ia64 platforms has exposed
a problem with backtraces of any 2.6.14 and later kernel when the
crash was created by either pressing the system's INIT switch, or
if a MCA exception occurred.

When either of those types of system crashes occur, the system
switches stacks to a per-cpu INIT or MCA stack, and essentially
creates a "pseudo-task" on each cpu.  One of the pseudo-tasks does
the kdump operation; the others block in the kdump_init_notifier()
function.

With the 4.0-3.11 version of crash, backtraces of the active
tasks -- which are now these new "pseudo-tasks" -- only go as
far back as their entry onto their own special per-cpu stacks,
and do not show the backtrace of the task that was running on
that cpu when the INIT or MCA event occurred.  Furthermore,
crash is unable to identify the pseudo-task that has performed
the kdump operation.

Upstream crash version 4.0-3.12 recognizes the pseudo-task that handled
the kdump operation; and more importantly, for each cpu, the active tasks'
backtraces now show a transition back to the task that was running
on that cpu when the INIT or MCA event occurred.





Version-Release number of selected component (if applicable):
crash-4.0-3.11

How reproducible:
Always


Steps to Reproduce:
1. Take an ia64 kdump via the INIT switch (or somehow force an MCA exception)
2.
3.

Actual Results:

Here is an example of a INIT-switch generated crash:

# crash vmlinux-2.6.18-1.2740.el5 vmcore-sparse

crash 4.0-3.11
Copyright (C) 2002, 2003, 2004, 2005, 2006  Red Hat, Inc.
Copyright (C) 2004, 2005, 2006  IBM Corporation
Copyright (C) 1999-2006  Hewlett-Packard Co
Copyright (C) 2005  Fujitsu Limited
Copyright (C) 2005  NEC Corporation
Copyright (C) 1999, 2002  Silicon Graphics, Inc.
Copyright (C) 1999, 2000, 2001, 2002  Mission Critical Linux, Inc.
This program is free software, covered by the GNU General Public License,
and you are welcome to change it and/or distribute copies of it under
certain conditions.  Enter "help copying" to see the conditions.
This program has absolutely no warranty.  Enter "help warranty" for details.

GNU gdb 6.1
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "ia64-unknown-linux-gnu"...

WARNING: active task e000000100008000 on cpu 0 not found in PID hash

WARNING: active task e000000100018000 on cpu 1 not found in PID hash

WARNING: active task e000000100028000 on cpu 2 not found in PID hash

WARNING: active task e000000100038000 on cpu 3 not found in PID hash

      KERNEL: vmlinux-2.6.18-1.2740.el5
    DUMPFILE: vmcore-sparse
        CPUS: 4
        DATE: Fri Nov 10 12:29:53 2006
      UPTIME: 00:06:58
LOAD AVERAGE: 4.15, 2.67, 1.21
       TASKS: 164
    NODENAME: nec-tx7-2.lab.boston.redhat.com
     RELEASE: 2.6.18-1.2740.el5
     VERSION: #1 SMP Wed Nov 1 20:38:07 EST 2006
     MACHINE: ia64  (900 Mhz)
      MEMORY: 3.4 GB
       PANIC: ""
         PID: 0
     COMMAND: "swapper"
        TASK: a0000001007d8000  (1 of 8)  [THREAD_INFO: a0000001007d9040]
         CPU: 0
       STATE: TASK_RUNNING
     WARNING: panic task not found

crash> bt -a
PID: 0      TASK: e000000100008000  CPU: 0   COMMAND: "INIT 3257"
 #0 [BSP:e000000100009318] kdump_init_notifier at a00000010005dad0
 #1 [BSP:e0000001000092e0] notifier_call_chain at a000000100628430
 #2 [BSP:e0000001000092b0] atomic_notifier_call_chain at a00000010009df30
 #3 [BSP:e000000100009230] ia64_init_handler at a000000100047b50
  EFRAME: e00000010000fda0
      B0: 0000000000000000      CR_IIP: 0000000000000000
 CR_IPSR: 0000000000000000      CR_IFS: 0000000000000000
  AR_PFS: 0000000000000000      AR_RSC: 0000000000000000
 AR_UNAT: 0000000000000000     AR_RNAT: 0000000000000000
  AR_CCV: 0000000000000000     AR_FPSR: 0000000000000000
  LOADRS: 0000000000000000 AR_BSPSTORE: 0000000000000000
      B6: 0000000000000000          B7: 0000000000000000
      PR: 0000000000000000          R1: 0000000000000000
      R2: 0000000000000000          R3: 0000000000000000
      R8: 0000000000000000          R9: 0000000000000000
     R10: 0000000000000000         R11: 0000000000000000
     R12: a0000001002ab920         R13: a000000100243f20
     R14: 0000000000000000         R15: 0000000000000000
     R16: 0000000000000000         R17: 0000101008026038
     R18: 0000000000000000         R19: 0000000000000000
     R20: 0000000000000000         R21: 0000000000000287
     R22: 0000000000000000         R23: 0000000000000000
     R24: e0000000d80792b0         R25: 0000000000000000
     R26: 0000000000000000         R27: 0000000001900000
     R28: 0000000000000000         R29: 0000000000000000
     R30: 0000000000000000         R31: 0009804c0270033f
      F6: 000000000000000000000     F7: 000000000000000000000
      F8: 000000000000000000000     F9: 000000000000000000000
     F10: 000000000000000000000    F11: 000000000000000000000

PID: 0      TASK: e000000100018000  CPU: 1   COMMAND: "INIT 3256"
 #0 [BSP:e000000100019308] machine_kexec at a000000100058a10
 #1 [BSP:e0000001000192d8] kdump_init_notifier at a00000010005dab0
 #2 [BSP:e0000001000192a0] notifier_call_chain at a000000100628430
 #3 [BSP:e000000100019270] atomic_notifier_call_chain at a00000010009df30
 #4 [BSP:e0000001000191e8] ia64_init_handler at a000000100047e50
  EFRAME: e00000010001fda0
      B0: 0000000000000000      CR_IIP: 0000000000000000
 CR_IPSR: 0000000000000000      CR_IFS: 0000000000000000
  AR_PFS: 0000000000000000      AR_RSC: 0000000000000000
 AR_UNAT: 0000000000000000     AR_RNAT: 0000000000000000
  AR_CCV: 0000000000000000     AR_FPSR: 0000000000000000
  LOADRS: 0000000000000000 AR_BSPSTORE: 0000000000000000
      B6: 0000000000000000          B7: 0000000000000000
      PR: 0000000000000000          R1: 0000000000000000
      R2: 0000000000000000          R3: 0000000000000000
      R8: 0000000000000000          R9: 0000000000000000
     R10: 0000000000000000         R11: 0000000000000000
     R12: 20000000001cb4b0         R13: a000000000010640
     R14: 0000000000000000         R15: 0000000000000000
     R16: 0000000000000000         R17: 0000121308526030
     R18: 0000000000000000         R19: 0000000000000000
     R20: 0000000000000000         R21: c000000000000695
     R22: 0000000000000000         R23: 0000000000000000
     R24: 60000fff7fffc2c8         R25: 0000000000000000
     R26: 0000000000000000         R27: 0000000001480000
     R28: 0000000000000000         R29: 0000000000000000
     R30: 0000000000000000         R31: 0009804c8a74433f
      F6: 000000000000000000000     F7: 000000000000000000000
      F8: 000000000000000000000     F9: 000000000000000000000
     F10: 000000000000000000000    F11: 000000000000000000000

PID: 0      TASK: e000000100028000  CPU: 2   COMMAND: "INIT 3254"
 #0 [BSP:e000000100029388] kdump_init_notifier at a00000010005dad0
 #1 [BSP:e000000100029350] notifier_call_chain at a000000100628430
 #2 [BSP:e000000100029320] atomic_notifier_call_chain at a00000010009df30
 #3 [BSP:e0000001000292a0] ia64_init_handler at a000000100047b50
  EFRAME: e00000010002fda0
      B0: 0000000000000000      CR_IIP: 0000000000000000
 CR_IPSR: 0000000000000000      CR_IFS: 0000000000000000
  AR_PFS: 0000000000000000      AR_RSC: 0000000000000000
 AR_UNAT: 0000000000000000     AR_RNAT: 0000000000000000
  AR_CCV: 0000000000000000     AR_FPSR: 0000000000000000
  LOADRS: 0000000000000000 AR_BSPSTORE: 0000000000000000
      B6: 0000000000000000          B7: 0000000000000000
      PR: 0000000000000000          R1: 0000000000000000
      R2: 0000000000000000          R3: 0000000000000000
      R8: 0000000000000000          R9: 0000000000000000
     R10: 0000000000000000         R11: 0000000000000000
     R12: a0000001002ab920         R13: a000000100243f20
     R14: 0000000000000000         R15: 0000000000000000
     R16: 0000000000000000         R17: 0000101008526030
     R18: 0000000000000000         R19: 0000000000000000
     R20: 0000000000000000         R21: 000000000000058e
     R22: 0000000000000000         R23: 0000000000000000
     R24: e0000000d8191388         R25: 0000000000000000
     R26: 0000000000000000         R27: 0000000002000000
     R28: 0000000000000000         R29: 0000000000000000
     R30: 0000000000000000         R31: 0009804c0270033f
      F6: 000000000000000000000     F7: 000000000000000000000
      F8: 000000000000000000000     F9: 000000000000000000000
     F10: 000000000000000000000    F11: 000000000000000000000

PID: 0      TASK: e000000100038000  CPU: 3   COMMAND: "INIT 3255"
 #0 [BSP:e0000001000392e0] kdump_init_notifier at a00000010005dad0
 #1 [BSP:e0000001000392a8] notifier_call_chain at a000000100628430
 #2 [BSP:e000000100039278] atomic_notifier_call_chain at a00000010009df30
 #3 [BSP:e0000001000391f0] ia64_init_handler at a000000100047b50
  EFRAME: e00000010003fda0
      B0: 0000000000000000      CR_IIP: 0000000000000000
 CR_IPSR: 0000000000000000      CR_IFS: 0000000000000000
  AR_PFS: 0000000000000000      AR_RSC: 0000000000000000
 AR_UNAT: 0000000000000000     AR_RNAT: 0000000000000000
  AR_CCV: 0000000000000000     AR_FPSR: 0000000000000000
  LOADRS: 0000000000000000 AR_BSPSTORE: 0000000000000000
      B6: 0000000000000000          B7: 0000000000000000
      PR: 0000000000000000          R1: 0000000000000000
      R2: 0000000000000000          R3: 0000000000000000
      R8: 0000000000000000          R9: 0000000000000000
     R10: 0000000000000000         R11: 0000000000000000
     R12: a0000001002ab920         R13: a000000100243f20
     R14: 0000000000000000         R15: 0000000000000000
     R16: 0000000000000000         R17: 0000141008026038
     R18: 0000000000000000         R19: 0000000000000000
     R20: 0000000000000000         R21: 0000000000000610
     R22: 0000000000000000         R23: 0000000000000000
     R24: e000000003f012b0         R25: 0000000000000000
     R26: 0000000000000000         R27: 0000000001500000
     R28: 0000000000000000         R29: 0000000000000000
     R30: 0000000000000000         R31: 0009804c0270033f
      F6: 000000000000000000000     F7: 000000000000000000000
      F8: 000000000000000000000     F9: 000000000000000000000
     F10: 000000000000000000000    F11: 000000000000000000000
crash>

Note that the task doing the kdump cannot be found, as evidenced
by the "WARNING: panic task not found" message.  And secondly, 
the backtraces above are pretty much useless.


Expected Results:
With upstream crash version 4.0-3.12, the backtraces on each cpu shows a
transition back to the tasks that were running on that cpu at the time
of the exception:

# crash vmlinux-2.6.18-1.2740.el vmcore-sparse

crash 4.0-3.12
Copyright (C) 2002, 2003, 2004, 2005, 2006  Red Hat, Inc.
Copyright (C) 2004, 2005, 2006  IBM Corporation
Copyright (C) 1999-2006  Hewlett-Packard Co
Copyright (C) 2005  Fujitsu Limited
Copyright (C) 2005  NEC Corporation
Copyright (C) 1999, 2002  Silicon Graphics, Inc.
Copyright (C) 1999, 2000, 2001, 2002  Mission Critical Linux, Inc.
This program is free software, covered by the GNU General Public License,
and you are welcome to change it and/or distribute copies of it under
certain conditions.  Enter "help copying" to see the conditions.
This program has absolutely no warranty.  Enter "help warranty" for details.

GNU gdb 6.1
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "ia64-unknown-linux-gnu"...

WARNING: active task e000000100008000 on cpu 0 not found in PID hash

WARNING: active task e000000100018000 on cpu 1 not found in PID hash

WARNING: active task e000000100028000 on cpu 2 not found in PID hash

WARNING: active task e000000100038000 on cpu 3 not found in PID hash

      KERNEL: vmlinux-2.6.18-1.2740.el5
    DUMPFILE: vmcore-sparse
        CPUS: 4
        DATE: Fri Nov 10 12:29:53 2006
      UPTIME: 00:06:58
LOAD AVERAGE: 4.15, 2.67, 1.21
       TASKS: 164
    NODENAME: nec-tx7-2.lab.boston.redhat.com
     RELEASE: 2.6.18-1.2740.el5
     VERSION: #1 SMP Wed Nov 1 20:38:07 EST 2006
     MACHINE: ia64  (900 Mhz)
      MEMORY: 3.4 GB
       PANIC: (INIT)
         PID: 0
     COMMAND: "INIT 3256"
        TASK: e000000100018000  [THREAD_INFO: e000000100019040]
         CPU: 1
       STATE: TASK_UNINTERRUPTIBLE (INIT)

crash> bt -a
PID: 0      TASK: e000000100008000  CPU: 0   COMMAND: "INIT 3257"
 #0 [BSP:e000000100009318] kdump_init_notifier at a00000010005dad0
 #1 [BSP:e0000001000092e0] notifier_call_chain at a000000100628430
 #2 [BSP:e0000001000092b0] atomic_notifier_call_chain at a00000010009df30
 #3 [BSP:e000000100009230] ia64_init_handler at a000000100047b50
(INIT) INTERRUPTED TASK
PID: 3257   TASK: e0000000d8078000  CPU: 0   COMMAND: "ls"
 #0 [BSP:e0000000d8079440] __ia64_leave_kernel at a00000010000c700
  EFRAME: e0000000d807fb20
      B0: a000000100190a10      CR_IIP: a00000010029e900
 CR_IPSR: 0000101008026038      CR_IFS: 8000000000000286
  AR_PFS: 0000000000000287      AR_RSC: 0000000000000003
 AR_UNAT: 0000000000000000     AR_RNAT: 0000000000000000
  AR_CCV: 0000000000000000     AR_FPSR: 0009804c0270033f
  LOADRS: 0000000001900000 AR_BSPSTORE: e0000000d80792b0
      B6: a0000001002ab920          B7: a000000100243f20
      PR: 000000000055a599          R1: a000000100c00530
      R2: e00000011fadfdc8          R3: e0000000d807fcf8
      R8: 0000000000000000          R9: e00000011fadfdf0
     R10: 9e37fffffffc0001         R11: a0000001007f4308
     R12: e0000000d807fce0         R13: e0000000d8078000
     R14: 00000000000000c4         R15: 00000000000000c4
     R16: 00fc6ffffde7e34c         R17: e0000000d807fd08
     R18: 00000000002697fa         R19: 000000000007ffff
     R20: 0000000000000013         R21: a000000100a03318
     R22: 00fc6ffffdc14b52         R23: 00000000002697fa
     R24: a0000001007f4300         R25: a000000100a03308
     R26: e00000011fadfd50         R27: e00000011c849778
     R28: 0000000000000000         R29: a000000201227a80
     R30: e00000011f59a900         R31: e0000000d8078328
      F6: 000000000000000000000     F7: 000000000000000000000
      F8: 000000000000000000000     F9: 000000000000000000000
     F10: 000000000000000000000    F11: 000000000000000000000
 #1 [BSP:e0000000d8079410] _atomic_dec_and_lock at a00000010029e900
 #2 [BSP:e0000000d80793e0] dput at a000000100190a10
 #3 [BSP:e0000000d8079380] __link_path_walk at a00000010017da20
 #4 [BSP:e0000000d8079340] link_path_walk at a00000010017eee0
 #5 [BSP:e0000000d8079300] do_path_lookup at a00000010017f9d0
 #6 [BSP:e0000000d80792c8] __user_walk_fd at a000000100180d80
 #7 [BSP:e0000000d8079268] sys_getxattr at a0000001001a8bc0
 #8 [BSP:e0000000d8079260] __ia64_trace_syscall at a00000010000c490
  EFRAME: e0000000d807fe40
      B0: 20000000003a9bd0      CR_IIP: 200000000028d6b0
 CR_IPSR: 0000101308526030      CR_IFS: 0000000000000089
  AR_PFS: c00000000000038c      AR_RSC: 000000000000000f
 AR_UNAT: 0000000000000000     AR_RNAT: 0000000000000000
  AR_CCV: 0000000000000000     AR_FPSR: 0009804c8a74433f
  LOADRS: 0000000001c00000 AR_BSPSTORE: 60000fff7fffc150
      B6: 200000000028d6a0          B7: a000000000010640
      PR: 0000000000554a81          R1: 20000000002ec238
      R2: c000000000000a9a          R3: 000000000000003d
      R8: 0000000000000001          R9: ffffffffffffffff
     R10: ffffffffffffffff         R11: 0000000000000001
     R12: 60000ffffe192ef0         R13: 2000000000471600
     R14: 000000000000006e         R15: 00000000000004c4
     R16: 60000ffffe192f25         R17: 0000000000000072
     R18: 0000000000000000         R19: 6000000000019330
     R20: 0000000000000005         R21: 600000697363732f
     R22: 0000000000000021         R23: 60000000000192f0
     R24: 0000000000000040         R25: 0000000000000000
     R26: 2000000000363e37         R27: 2000000000363e38
     R28: 2000000000363e39         R29: 2000000000363e3a
     R30: 0000000000000008         R31: 2000000000363e3d
      F6: 000000000000000000000     F7: 000000000000000000000
      F8: 000000000000000000000     F9: 000000000000000000000
     F10: 000000000000000000000    F11: 000000000000000000000

PID: 0      TASK: e000000100018000  CPU: 1   COMMAND: "INIT 3256"
 #0 [BSP:e000000100019308] machine_kexec at a000000100058a10
 #1 [BSP:e0000001000192d8] kdump_init_notifier at a00000010005dab0
 #2 [BSP:e0000001000192a0] notifier_call_chain at a000000100628430
 #3 [BSP:e000000100019270] atomic_notifier_call_chain at a00000010009df30
 #4 [BSP:e0000001000191e8] ia64_init_handler at a000000100047e50
(INIT) INTERRUPTED TASK
PID: 3256   TASK: e00000001cbc0000  CPU: 1   COMMAND: "ls"
 #0 [interrupted in user space]
  EFRAME: e00000010001fe40
  [exception frame incomplete -- check salinfo for complete context]
      B0: 0000000000000000      CR_IIP: 0000000000000000
 CR_IPSR: 0000121308526030      CR_IFS: 0000000000000000
  AR_PFS: c000000000000695      AR_RSC: 0000000000000000
 AR_UNAT: 0000000000000000     AR_RNAT: 0000000000000000
  AR_CCV: 0000000000000000     AR_FPSR: 0009804c8a74433f
  LOADRS: 0000000001480000 AR_BSPSTORE: 60000fff7fffc2c8
      B6: 20000000001cb4b0          B7: a000000000010640
      PR: 0000000000000000          R1: 0000000000000000
      R2: 0000000000000000          R3: 0000000000000000
      R8: 0000000000000000          R9: 0000000000000000
     R10: 0000000000000000         R11: 0000000000000000
     R12: 0000000000000000         R13: 0000000000000000
     R14: 0000000000000000         R15: 0000000000000000
     R16: 0000000000000000         R17: 0000000000000000
     R18: 0000000000000000         R19: 0000000000000000
     R20: 0000000000000000         R21: 0000000000000000
     R22: 0000000000000000         R23: 0000000000000000
     R24: 0000000000000000         R25: 0000000000000000
     R26: 0000000000000000         R27: 0000000000000000
     R28: 0000000000000000         R29: 0000000000000000
     R30: 0000000000000000         R31: 0000000000000000
      F6: 1003e20000000004f5958     F7: 1003e20000000004f5958
      F8: 1003e0000000000000480     F9: 1000d8000000000000000
     F10: 1003e0000000000000000    F11: 0fffd8ffffffff7000000

PID: 0      TASK: e000000100028000  CPU: 2   COMMAND: "INIT 3254"
 #0 [BSP:e000000100029388] kdump_init_notifier at a00000010005dad0
 #1 [BSP:e000000100029350] notifier_call_chain at a000000100628430
 #2 [BSP:e000000100029320] atomic_notifier_call_chain at a00000010009df30
 #3 [BSP:e0000001000292a0] ia64_init_handler at a000000100047b50
(INIT) INTERRUPTED TASK
PID: 3254   TASK: e0000000d8190000  CPU: 2   COMMAND: "ls"
 #0 [BSP:e0000000d8191588] __ia64_leave_kernel at a00000010000c700
  EFRAME: e0000000d8197ab0
      B0: a000000100177ef0      CR_IIP: a00000010018f660
 CR_IPSR: 0000101008526030      CR_IFS: 800000000000058e
  AR_PFS: 000000000000058e      AR_RSC: 0000000000000003
 AR_UNAT: 0000000000000000     AR_RNAT: 0000000000000000
  AR_CCV: 00000000000000c5     AR_FPSR: 0009804c0270033f
  LOADRS: 0000000002000000 AR_BSPSTORE: e0000000d8191388
      B6: a0000001002ab920          B7: a000000100243f20
      PR: 0000000000556a59          R1: a000000100c00530
      R2: 000000000003c6e2          R3: e00000011a75fe48
      R8: 000013d971ffe57b          R9: 9ecb8fff2bd82398
     R10: 9e37fffffffc0001         R11: a0000001007f4308
     R12: e0000000d8197c70         R13: e0000000d8190000
     R14: e0000000d8197c94         R15: a0000002001e3710
     R16: 00fc7000d4242399         R17: e0000000d8197c98
     R18: 00000000d662d853         R19: 000000000007ffff
     R20: 0000000000000013         R21: a000000100a03318
     R22: 00fc6ffffdc14b46         R23: 00000000d662d853
     R24: a0000001007f4300         R25: a000000100a03308
     R26: 7e37fffee0a5a319         R27: a0000001007f4304
     R28: a000000100a03310         R29: a0000001002ab920
     R30: 0000000000000004         R31: 0000000000000692
      F6: 000000000000000000000     F7: 1003e2ce33e6c02ce33e7
      F8: 1003efffffffffffffd2e     F9: 0ffff8000000000000000
     F10: 1003e0000000000001000    F11: 1000afffffffff0000000
 #1 [BSP:e0000000d8191518] __d_lookup at a00000010018f660
 #2 [BSP:e0000000d81914c0] do_lookup at a000000100177ef0
 #3 [BSP:e0000000d8191460] __link_path_walk at a00000010017dfe0
 #4 [BSP:e0000000d8191420] link_path_walk at a00000010017eee0
 #5 [BSP:e0000000d81913d8] do_path_lookup at a00000010017f9d0
 #6 [BSP:e0000000d81913a0] __user_walk_fd at a000000100180d80
 #7 [BSP:e0000000d8191370] vfs_stat_fd at a00000010016e7b0
 #8 [BSP:e0000000d8191310] sys_newstat at a00000010016ecf0
 #9 [BSP:e0000000d8191310] __ia64_trace_syscall at a00000010000c490
  EFRAME: e0000000d8197e40
      B0: 20000000001f6b40      CR_IIP: a000000000010620
 CR_IPSR: 0000121308526030      CR_IFS: 0000000000000008
  AR_PFS: c00000000000020c      AR_RSC: 000000000000000f
 AR_UNAT: 0000000000000000     AR_RNAT: 0000000000000000
  AR_CCV: 0000000000000000     AR_FPSR: 0009804c8a74433f
  LOADRS: 0000000002700000 AR_BSPSTORE: 60000fff7fffc460
      B6: 20000000002729c0          B7: a000000000010640
      PR: 0000000000554241          R1: 20000000002ec238
      R2: 60000fffff9f31c0          R3: 60000fffff9f31a0
      R8: 0000000000000001          R9: ffffffffffffffff
     R10: 0000000000000000         R11: 0000000000000001
     R12: 60000fffff9f05d0         R13: 2000000000471600
     R14: 2000000003d089a8         R15: 00000000000004ba
     R16: 0000000000000000         R17: 0000000000000000
     R18: 60000fffff9f3220         R19: 60000fffff9f3270
     R20: 60000fffff9f3260         R21: 0000000000000000
     R22: 60000fffff9f31a1         R23: 60000000000194c0
     R24: 0000000000000000         R25: 0000000000000000
     R26: 0000000000000000         R27: 0000000000000000
     R28: 60000fffff9f31e4         R29: 0000000000000000
     R30: 0000000000000000         R31: 0000000000000000
      F6: 1003ea3d70a3d70a3d70b     F7: 1003e2ce33e6c02ce33e7
      F8: 1003efffffffffffffd2e     F9: 0ffff8000000000000000
     F10: 1003e0000000000001000    F11: 1000afffffffff0000000
#10 [BSP:e0000000d8191310] __kernel_syscall_via_break at a000000000010620

PID: 0      TASK: e000000100038000  CPU: 3   COMMAND: "INIT 3255"
 #0 [BSP:e0000001000392e0] kdump_init_notifier at a00000010005dad0
 #1 [BSP:e0000001000392a8] notifier_call_chain at a000000100628430
 #2 [BSP:e000000100039278] atomic_notifier_call_chain at a00000010009df30
 #3 [BSP:e0000001000391f0] ia64_init_handler at a000000100047b50
(INIT) INTERRUPTED TASK
PID: 3255   TASK: e000000003f00000  CPU: 3   COMMAND: "ls"
 #0 [BSP:e000000003f01408] __ia64_leave_kernel at a00000010000c700
  EFRAME: e000000003f07b20
      B0: a00000010017ca90      CR_IIP: a00000010017cad0
 CR_IPSR: 0000141008026038      CR_IFS: 8000000000000610
  AR_PFS: 0000000000000610      AR_RSC: 0000000000000003
 AR_UNAT: 0000000000000000     AR_RNAT: 0000000000000000
  AR_CCV: 0000000000000008     AR_FPSR: 0009804c0270033f
  LOADRS: 0000000001580000 AR_BSPSTORE: e000000003f012b0
      B6: a0000001002ab920          B7: a000000100243f20
      PR: 0000000000555a99          R1: a000000100c00530
      R2: 00000000ffffffff          R3: e0000001187933c1
      R8: 0000000000000000          R9: 0000000000000000
     R10: 0000000000000076         R11: 0000000000000000
     R12: e000000003f07ce0         R13: e000000003f00000
     R14: ffffffff00000000         R15: e000000003f07c88
     R16: 0000000000000076         R17: e000000003f07c94
     R18: 0000000000000000         R19: e000000119d9f02c
     R20: e000000003f07d00         R21: 0000000100000001
     R22: 0000000000000001         R23: 0000000000000001
     R24: 0000000000000000         R25: 0000000000000000
     R26: 0000000000000000         R27: 0000000000000007
     R28: 0000000000000100         R29: a0000001002ab920
     R30: 0000000000000004         R31: 0000000000000692
      F6: 000000000000000000000     F7: 000000000000000000000
      F8: 000000000000000000000     F9: 000000000000000000000
     F10: 000000000000000000000    F11: 000000000000000000000
 #1 [BSP:e000000003f01380] __link_path_walk at a00000010017cad0
 #2 [BSP:e000000003f01340] link_path_walk at a00000010017eee0
 #3 [BSP:e000000003f01300] do_path_lookup at a00000010017f9d0
 #4 [BSP:e000000003f012c8] __user_walk_fd at a000000100180d80
 #5 [BSP:e000000003f01268] sys_getxattr at a0000001001a8bc0
 #6 [BSP:e000000003f01260] __ia64_trace_syscall at a00000010000c490
  EFRAME: e000000003f07e40
      B0: 20000000003a9bd0      CR_IIP: 200000000028d6b0
 CR_IPSR: 0000101308526030      CR_IFS: 0000000000000089
  AR_PFS: c00000000000038c      AR_RSC: 000000000000000f
 AR_UNAT: 0000000000000000     AR_RNAT: 0000000000000000
  AR_CCV: 0000000000000000     AR_FPSR: 0009804c8a74433f
  LOADRS: 0000000001c00000 AR_BSPSTORE: 60000fff7fffc150
      B6: 200000000028d6a0          B7: a000000000010640
      PR: 0000000000554a81          R1: 20000000002ec238
      R2: c000000000000b9d          R3: e000000003f07ef8
      R8: 0000000000000001          R9: 6000000000008d70
     R10: 0000000000000000         R11: 0000000000000001
     R12: 60000ffffe266f00         R13: 2000000000471600
     R14: 6000000000007a98         R15: 00000000000004c4
     R16: 20000000001cbf20         R17: 2000000000363e3b
     R18: 0000000000000000         R19: 20000000005cc704
     R20: 0000000000000001         R21: 00000303002c002e
     R22: 0000000000000000         R23: 20000000005cc700
     R24: 0000000000000002         R25: 2000000000363e36
     R26: 2000000000363e37         R27: 2000000000363e38
     R28: 2000000000363e39         R29: 2000000000363e3a
     R30: 0000000000000005         R31: 2000000000363e3d
      F6: 000000000000000000000     F7: 000000000000000000000
      F8: 000000000000000000000     F9: 000000000000000000000
     F10: 000000000000000000000    F11: 000000000000000000000
crash>

Note that the "WARNING: active task e000000100008000 on cpu # not found
in PID hash" messages are legitimate, and in fact are helpful, because
the "pseudo-tasks" are not real tasks, and therefore are not in the 
kernels PID hash.

Furthermore, the one "ls" task that was running in user-space at the
time of the INIT shows the message:

  [exception frame incomplete -- check salinfo for complete context]

which is also legitimate -- crash is simply reporting that user-space
task's exception frames are not completely saved in the vmcore.



Additional info:
Comment 2 Dave Anderson 2006-11-21 11:12:26 EST
Crash version 4.0-3.12 has been committed into the RHEL-5 stream.

Note You need to log in before you can comment on or make changes to this bug.